Uploaded image for project: 'stripes-core'
  1. stripes-core
  2. STCOR-249

isVersionCompatible should handle a space-separated list of wanted versions

    XMLWordPrintable

Details

    • New Feature
    • Status: Closed (View Workflow)
    • P3
    • Resolution: Done
    • None
    • 2.12.0

    Description

      Motivation: in https://github.com/folio-org/ui-users/blob/17c24495960ec3b653adb830fae9d8b5fd6222c4/ViewUser.js#L567-L588 it became necessary to duplicate a stretch of code, so it could be encolsed first in <IfInterface name="circulation" version="3.0"> and then in <IfInterface name="circulation" version="4.0"> in order to work when either of those two versions is available. Instead we want to be able to use <IfInterface name="circulation" version="3.0 4.0">, using the same space-separated syntax as the `okapiInterfaces` specification in the package file.

      (<IfInterface> is provided by stripes-components; but it's a straight-through wrapper of stripes-core's stripes.hasPermission method, which in turn delegates the real work to isVersionCompatible.)

      TestRail: Results

        Attachments

          Issue Links

            Activity

              People

                mike Mike Taylor
                mike Mike Taylor
                Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                  Created:
                  Updated:
                  Resolved:

                  TestRail: Runs

                    TestRail: Cases